Logo
OpenScaler
ApiBilling

Get monthly rating breakdown

GET
/v1/billing/rating/monthly

Returns a monthly breakdown of usage-based rating (does not include discounts, taxes, or other adjustments).

Provide exactly one of year or month.

Authorization

bearer_auth
AuthorizationBearer <token>

OAuth Authentication

OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.

Use the access_token in the Authorization header for requests:

Authorization: Bearer <token>

Always keep your token secure and do not share it with anyone.

In: header

Query Parameters

year?integer

Calendar year to return monthly totals for. Mutually exclusive with month.

Range2020 <= value <= 2100
month?string

Single month in YYYY-MM format. Mutually exclusive with year.

Match^\d{4}-\d{2}$
currency?string

Currency for returned totals.

Value in

  • "DZD"
  • "USD"
  • "EUR"

Response Body

application/json

application/json

text/pain

application/json

application/json

curl -X GET "https://example.com/v1/billing/rating/monthly"
{  "months": [    {      "month": "2026-06",      "total": "18.40",      "categories": {        "property1": "string",        "property2": "string"      },      "currency": "USD",      "is_current": false    }  ],  "currency": "USD"}
{  "errors": [    {      "message": "'vcpus' field must be an integer",      "field": "resource_id"    }  ]}
"Access denied"
{  "errors": [    {      "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n"    }  ]}
{  "errors": [    {      "message": "VM with ID 23 not found"    }  ]}